:root {
    --custom-col: #00ada3;
}
/* Your Archive Styling Sheet
   - For all baseline styling
   - Should we have seperate .css files for seperate elements, ie navbar etc?
   - For now this is the master (and only) style sheet
*/

/* Default Colours Used */

/* Base */

body {
    background-color: white;
}

/* Navbar Styling (Top bar) */

/* .site-header {
    position: relative;
    display: flex;
    width: 100%;
    height: 48px;
    z-index: 10;
    background-color: #FFFFFF;
    border-bottom: 1px solid #e2e2e2;
}

    .site-header__rhs {
        display: flex;
        flex: none;
        justify-content: flex-end;
    }

    .site-header__arch-logo {
        position: relative;
        height: 100%;
        width: auto;
        max-width: 100px;
        object-fit: contain;
    }

.brand-logo {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: none;
    width: 260px;
    transition: all .2s ease-in-out;
}

.site-nav {
    position: relative;
    flex: 1;
}

.site-menu {
    position: relative;
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
    height: 100%;
}

    .site-menu__item {
        position: relative;
        display: inline-block;
        flex: 1;
        max-width: 120px;
        height: 100%;
    }

        .site-menu__item a {
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
            background-color: #808080;
            color: #FFFFFF;
            border-right: 1px solid #FFFFFF;
            padding: 0 1rem;
            transition: all .2s ease-in-out;
        }

        .site-menu__item > * {
            height: 100%;
        }

            .site-menu__item a:hover {
                text-decoration: none;
                background-color: #747474;
            } */

/* .site-main {
    position: relative;
    min-height: calc(100vh - 48px);
} */

.nav-container {
    height: 3rem;
    color: white;
    display: flex;
    max-width: 100%;
    flex: 0 0 100%;
}

.navbar {
    padding: 0;
}

.navbar-brand {
    background-color: white;
    flex: 0 0 20%;
    max-width: 20%;
    padding-top: .18rem;
    padding-bottom: 0;
    margin: 0;
}

.nav-item {
    background-color: gray;
    color: white !important;
    background-color: gray;
}

.nav-link {
    color: white!important;
    border: 1px white solid;
    height: 3rem;
    padding-right: 1rem!important;
    padding-left: 1rem!important;
}

/* Sidebar Styling */

.sidebar-container {
    position: relative;
    flex: none;
    width: 260px;
    border-right: 1px solid #e2e2e2;
    background-color: #EAEAEA;
}

.sidebar-container > ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
}

.sidebar-container > ul .sidebar-title {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 48px;
    background-color: #808080;
    color: #FFFFFF;
    font-size: 1rem;
    font-weight: 500;
}

.sidebar-container > ul .sidebar-link {
    display: flex;
    width: 100%;
    height: 48px;
    justify-content: center;
    align-items: center;
    font-size: .9rem;
    transition: all .2s ease-in-out;
}

    .sidebar-container > ul .sidebar-link:not(:last-of-type) {
        border-bottom: 1px solid #e2e2e2;
    }

    .sidebar-container > ul .sidebar-link:hover {
        background-color: #CFCFCF;
    }

    .sidebar-container > ul .sidebar-link > a:hover {
        text-decoration: none;
    }

.sidebar-container > ul > li > a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    color: #808080;
}

/* Thumbnail Grid */

.thumbnail-grid {
    position: relative;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    /* display: grid;
    grid-template-columns: repeat(5, 1fr);*/
    grid-gap: 1rem;
    overflow: hidden;
}

    @media screen and (min-width: 1200px) {
        .thumbnail-grid {
            grid-template-columns: repeat(8, 1fr);
        }
    }

    .thumbnail-grid img:after {
        content: '';
        position: absolute;
        display: inline-block;
        width: 100%;
        height: 100%;
        background-color: #808080;
        left: 0;
        top: 0;
    }

    .thumbnail-grid.thumbnail-grid--list {
        display: block;
    }

    .thumbnail-grid__key {
        position: relative;
        display: none;
        width: 100%;
        padding: 1rem 0;
    }

        .thumbnail-grid.thumbnail-grid--list > .thumbnail-grid__key {
            display: flex;
        }

        .thumbnail-grid__key > span {
            flex: 1;
            padding: 0 1rem;
            font-size: .9rem;
        }

        .thumbnail-grid__key > span:first-of-type {
            width: 80px;
            flex: none;
            padding: 0;
        }

.thumbnail-grid-item {
    position: relative;
    height: 150px;
    width: 150px;
}

    .thumbnail-grid-item.is-selected {
        border: 2px solid var(--custom-col);
        background-color: rgba(95, 170, 163, .25);
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
    }

        .thumbnail-grid-item.is-selected > img {
            width: 130px;
            height: 130px;
        }

    .thumbnail-grid-item > img {
        position: relative;
        width: 150px;
        height: 150px;
    }

    .thumbnail-grid-item__overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 150px;
        height: 150px;
        visibility: hidden;
        opacity: 0;
        background-color: rgba(128, 128, 128, .75);
        transition: all .2s ease-in-out;
    }

        .thumbnail-grid-item__overlay button {
            position: absolute;
            display: inline-block;
            top: .5rem;
            left: .5rem;
            width: 18px;
            height: 18px;
            border-radius: 50%;
            border: 3px solid #FFFFFF;
            background-color: #FFFFFF;
            padding: 0;
        }

.thumbnail-grid-item.is-selected .thumbnail-grid-item__overlay button {
    background-color: var(--custom-col);
}

.thumbnail-grid-item:hover > .thumbnail-grid-item__overlay {
            visibility: visible;
            opacity: 1;
        }

        .thumbnail-grid.thumbnail-grid--list > .thumbnail-grid-item > .thumbnail-grid-item__overlay {
            width: 100%;
            height: 100%;
            background-color: transparent;
        }

            .thumbnail-grid.thumbnail-grid--list > .thumbnail-grid-item > .thumbnail-grid-item__overlay input[type=checkbox] {
                top: calc(50% - 9px);
                left: auto;
                right: 2rem;
            }

    .thumbnail-grid-item__detail {
        display: none;
    }

    .thumbnail-grid.thumbnail-grid--list > .thumbnail-grid-item {
        width: 100%;
        height: auto;
        display: flex;
        align-items: center;
        margin-bottom: .5rem;
        border-radius: 8px;
        transition: all .3s ease-in-out;
    }

        .thumbnail-grid.thumbnail-grid--list > .thumbnail-grid-item > img {
            object-fit: contain;
            height: 80px;
            width: 80px;
        }

    .thumbnail-grid.thumbnail-grid--list .thumbnail-grid-item__detail {
        display: block;
        flex: 1;
        padding: 0 1rem;
    }

    .thumbnail-grid.thumbnail-grid--list > .thumbnail-grid-item:hover {
        background-color: #EAEAEA;
        color: #212529;
        text-decoration: none;
    }
    

/* Button Styling */

.btn {
    margin: 0;
    margin-left: 6px;
    margin-right: 6px;
}.btn:active, .btn:focus {
     box-shadow: none;
 }

.btn-alternate {
    background-color: grey !important;
    border: 0;
    color: white!important;
    text-transform: capitalize;
}.btn-alternate:hover {
    box-shadow: #3c3c3c 5px 5px unset;
}.btn-alternate:active, .btn-alternate:focus {
    color: white;
    background-color: lightgray !important;
    box-shadow: none;
}

.btn-main {
    background-color: lightgrey !important;
    border: 0;
    color: black;
    text-transform: capitalize;
}.btn-main:hover {
    box-shadow: #3c3c3c 5px 5px unset;
}.btn-main:active, .btn-main:focus {
    color: black;
    background-color: grey !important;
    box-shadow: none;
   }
/* Archive Styling */

.folder-structure-left {
    position: relative;
    padding: 1rem;
}

.folder-structure-right {
    position: relative;
}

.folder-inner {
    max-height: 100%;
    overflow:auto;
}

.textFolderName {
    height: 1.6rem;
    overflow: hidden;
    resize: none;
    padding: 1px;
    border: 0;
    outline: 0;
}
.textFolderName:hover {
    border: 1px solid grey;
    padding: 0;
    outline: 0;
}
.textFolderName:active, .textFolderName:focus {
    border: 1px solid black;
    padding: 0;
    outline: 0;
}

img#archiveImagePreview {
    max-width: 100%;
    max-height: 8rem;
}

/* General Styling */
a {
    color: rgb(60,60,60);
} a:hover {
    color: lightgray;
} a:active, a:focus {
    color: black;
}

/* h1 {
    font-size: 24px;
    color: #3c3c3c;
    padding-bottom: 0.8rem;
    padding-left: 0.5rem;
} */

.row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: 0px;
    margin-left: 0px;
}

.main-container {
    padding: 1rem 1rem;
    flex: 1;
    max-width: calc(100vw - 280px);
}

/* .form-control-yal, input.form-control-yal, input, .form-control-yal:focus {
    display: block;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
} */

.label-info {
    background-color: grey !important;
}

.label-container {
    position: fixed;
    bottom: 48px;
    right: 105px;
    display: table;
    visibility: hidden;
    z-index: 101;
}

.label-text {
    color: #FFF;
    background: rgba(51,51,51,0.5);
    display: table-cell;
    vertical-align: middle;
    padding: 10px;
    border-radius: 3px;
}

.label-arrow {
    display: table-cell;
    vertical-align: middle;
    color: #333;
    opacity: 0.5;
}

.label-container {
    position: fixed;
    bottom: 100px;
    right: 80px;
    display: table;
    visibility: hidden;
    z-index:100;
}

.add-subfolder {
    bottom: 170px;
}

.label-text {
    color: #FFF;
    background: rgba(51,51,51,0.5);
    display: table-cell;
    vertical-align: middle;
    padding: 10px;
    border-radius: 3px;
}

.label-arrow {
    display: table-cell;
    vertical-align: middle;
    color: #333;
    opacity: 0.5;
}

.float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 20px;
    right: 20px;
    background-color: #F33;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
    z-index: 1000;
    animation: bot-to-top 2s ease-out;
    z-index: 100;
}

a.floatButton + div.label-container {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s ease;
}

a.floatButton:hover + div.label-container {
    visibility: visible;
    opacity: 1;
}

ul.float-ul {
    position: fixed;
    right: 20px;
    padding-bottom: 20px;
    bottom: 50px;
    z-index: 100;
}

ul.float-ul li {
    list-style: none;
    margin-bottom: 10px;
}

ul.float-ul li a {
    background-color: #F33;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
    width: 60px;
    height: 60px;
    display: block;
}

ul.float-ul:hover {
    visibility: visible !important;
    opacity: 1 !important;
}


.my-float {
    font-size: 24px;
    margin-top: 18px;
}

a#menu-share + ul.float-ul {
    visibility: hidden;
}

a#menu-share:hover + ul.float-ul {
    visibility: visible;
    animation: scale-in 0.5s;
}

a#menu-share i {
    animation: rotate-in 0.5s;
}

a#menu-share:hover > i {
    animation: rotate-out 0.5s;
}

@keyframes bot-to-top {
    0% {
        bottom: -40px
    }

    50% {
        bottom: 40px
    }
}

@keyframes scale-in {
    from {
        transform: scale(0);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes rotate-in {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes rotate-out {
    from {
        transform: rotate(360deg);
    }

    to {
        transform: rotate(0deg);
    }
}
.bootstrap-tagsinput {
    width: 100% !important;
    height: 10em;
}

/* Utilities */

.space-between {
    position: relative;
    display: flex;
    justify-content: space-between;
}

.mt-auto {
    margin-top: auto;
}

.ml-auto {
    margin-left: auto;
}

.fh-container {
    min-height: calc(100vh - 48px);
    flex-wrap: nowrap;
}

.hide {
    display: none !important;
}

.underline {
    text-decoration: underline !important;
}

.visually-hidden {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

.folder-link {
    color: black;
}

/* Inline Input */

.inline-input {
    display: flex;
    align-items: center;
}

    .inline-input label {
        flex: none;
        margin-right: 1rem;
    }

/* Section Header */

.section-header {
    position: relative;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #e2e2e2;
    padding: 0 0 1rem;
}

    .section-header h1 {
        flex: none;
        margin: 0;
        padding: 0;
        line-height: 1;
        font-size: 1.25rem;
    }

    .section-header__sub {
        position: relative;
        display: flex;
        align-items: center;
        margin-left: 2rem;
        font-weight: 500;
        font-size: 1rem;
    }

        .section-header__sub span {
            font-weight: normal;
            font-size: .9rem;
        }

/* Detail View */

.detail-view {
    position: relative;
}

    .detail-view__carousel {
        position: relative;
        display: flex;
        height: 240px;
        align-items: center;
        padding: 0 4rem;
        max-width: calc(100vw - 280px);
        background-color: #f3f3f3;
    }

.detail-view__carousel-public {
    position: relative;
    display: flex;
    height: 200px;
    align-items: center;
    padding: 0 4rem;
    max-width: 100vw;
    background-color: #f3f3f3;
}

        .detail-view__carousel .swiper-slide {
            display: flex;
            align-items: center;
            height: 150px;
            padding-bottom: 50px;
            padding-top: 10px;
        }
        .detail-view__carousel .uploadedContent {
            height: 250px !important;
            width: 250px !important;
        }
            .detail-view__carousel .uploadedContent > img {
                position: relative;
                display: block;
                max-width: 250px !important;
                max-height: 250px !important;
            }
        .detail-view__carousel .swiper-slide img:before {
            content: '';
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: white;
            border: 2px solid #e2e2e2;
        }

        .detail-view__carousel .swiper-slide img:after {
            content: "Generating Thumbnail: " attr(alt);
            position: absolute;
            top: 1rem;
            left: 1rem;
            width: calc(100% - 2rem);
            height: calc(100% - 2rem);
            display: flex;
            align-items: flex-start;
            justify-content: flex-start;
            font-size: .75rem;
            color: #7e7e7e;
            overflow-wrap: normal;
            overflow: hidden;
        }

        .detail-view__carousel .swiper-slide__overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            opacity: 0;
            visibility: hidden;
            transition: all .2s ease-in-out;
        }

            .detail-view__carousel .swiper-slide:hover > .swiper-slide__overlay {
                visibility: visible;
                opacity: 1;
            }

            .detail-view__carousel .swiper-slide__overlay .icon-btn {
                position: absolute;
                top: .75rem;
                right: .75rem;
                background-color: white;
            } 

                .detail-view__carousel .swiper-slide__overlay .icon-btn svg {
                    fill: #ce3b3b;
                }

        .detail-view__carousel .swiper-slide > img {
            position: relative;
            display: block;
            width: auto;
            height: auto;
            max-width: 150px;
            max-height: 150px;            
        }

        .detail-view__carousel .swiper-slide.is-active {
            border: 3px solid #f5e12d;
            overflow: hidden;
        }

    .detail-view__main {
        position: relative;
        margin: 1rem 0;
        /* display: inline-flex; */
    }

    .detail-view__preview {
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center; 
        flex: none;
        width: 100%;
        padding: 0 1rem;
    }

        .detail-view__preview img,
        .detail-view__preview video {
            /* position: relative;
            max-height: 540px;
            max-width: 100%;
            width: auto; */
            image-orientation: unset;
            object-fit: contain;
            width: 100%;
            max-height: 540px;
        }

        .detail-view__preview iframe {
            width: 100%;
            height: 100%;
            min-height: 540px;
        }

    .detail-view__info {
        position: relative;
        display: flex;
        flex-direction: column;
        flex: 1;
        padding: 1rem;
    }

    .detail-view__input {
        position: relative;
        padding-top: 1rem;
    }

        .detail-view__input .input-group {
            display: flex;
            align-items: center;
        }

            .detail-view__input .input-group .icon-btn {
                margin-left: .75rem;
            }

@media screen and (min-width: 1440px) {
    .detail-view__preview {
         width: 60%; 
    }

    .detail-view__main2 {
        display: inline-flex;
        flex-direction: column;
        align-items: center;
        /* height: 80vh; */
    }
    .detail-view__main {
        display: flex;
    }
    .detail-view__preview2 {
         display: inline-flex; 
         flex-direction: column; 
         align-items: center; 
         max-height: 80vh; 
    }

    .detail-view__info {
        padding: 0 1rem 0 0;
    }
}

/* Thumbnail Carousel */

.thumbnail-carousel {
    position: relative;
    width: 100%;
}

/* Alert */

.alert {
    position: fixed;
    top: 1rem;
    left: 1rem;
    width: calc(100vw - 2rem);
    z-index: 20;
}

/* Archive list styling */

.archive-list-img {
    position: relative;
    max-width: 100px;
    height: auto !important;
}

/*User Page Styling*/
.default_acc_pic {
    background-color: #2394ba;
    color: white;
    border-radius: 10px;
    padding: 5px 10px 5px 10px;
    display: inline-block;
}

.search-bar .search-button {
    padding: 0;
}

/* Requirement box */

.requirement-box {
    position: relative;
    background-color: rgba(128, 128, 128, .15);
    border: 1px solid #808080;
    border-radius: .5rem;
    padding: .75rem;
    font-size: .85rem;
}

/* Message Box */

.msg-block {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    min-height: 400px;
    padding: 2.5rem;
    border: 1px solid #EAEAEA;
    border-radius: .5rem;
}

    .msg-block svg {
        width: 84px;
        height: 84px;
        fill: #808080;
        margin-bottom: 1.5rem;
    }

/* Empty State */

.empty-state {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 1.5rem;
    border: 2px dashed var(--custom-col);
    border-radius: .5rem;
    background-color: transparent;
    transition: all .2s ease-in-out;
}

    .empty-state:hover {
        background-color: rgba(95, 170, 163, .25);
        text-decoration: none;
    }

    .empty-state svg {
        width: 72px;
        height: 72px;
        fill: #7e7e7e;
    }

    .empty-state span {
        font-size: 1.25rem;
        font-weight: 600;
        margin-top: 1.5rem;
        color:#7e7e7e;
    }

    .hidden{
        display: none;
    }

.checkbox-holder {
    background-color: white;
    padding: 10px 20px;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    min-height: 100px;
}

.thumbnail-view {
    display: flex;
    flex-wrap: wrap;
    max-height: 60vH;
    overflow-y: scroll;
}

.thumbnail-preview {
    max-width: 100%;
    max-height: 100%;
}

.thumbnail-preview-holder {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px;
    background-color: white;
    margin: 10px;
    height: 150px;
    width: 150px;
}

.color-red {
    color: #ce3b3b;
}

.icon-holder{
    display: flex;
    justify-content: center;
}

.fa-1-5x{
    font-size: 1.5rem;
}

.selected-content {
    background-color: #C2DCDA;
}

.selected-icon {
    display: none;
    width: 20px;
    height: 20px;
    background-color: var(--custom-col);
    border-radius: 50%;
    z-index: 1;
    position: absolute;
    right: 10px;
    top: 10px;
    border: 1px solid white;
}

.selected-content .selected-icon{
    display: block;
}

.draggable-list {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: .75rem 1.5rem;
    background-color: white;
    border-top: 1px solid #e2e2e2;
    max-height: 200px;
    padding: 5px;
}

.draggable-thumbnail{
    max-height: 90px;
}

.draggable-icon{
    color: #EAEAEA;
}

.green-background {
    background-color: var(--custom-col);
    opacity: 0.1;
}

.mouse-pointer{
    cursor: pointer;
}

.gallery-slider-active {
    border: 3px solid #f5e12d;
    overflow: hidden;
}

.comment-holder{
    padding: 10px;

}

.comment {
    margin-top: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #e2e2e2;
    display: block !important
}

.comment-actions{
    display:inline;
}

.comment-header {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.button{
    cursor: pointer;
}

.gallery-next-previous {
    color: #7e7e7e!important;
}

.justify-center {
    display: flex;
    justify-content: center
}

.long-text-button{
    width: 260px!important;
    padding: 1rem 1rem!important;
}

.draggable-thumbnail-holder {
    width: 150px;
    height: 100%;
    display: flex;
    justify-content: center;
}


.gallery-logo__name {
    font-weight: 600;
    margin-top: 1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: relative;
    width: 100%;
    text-align: center;
}

.no-side-margin-padding {
    padding-right: 0 !important;
    padding-left: 0 !important;
    margin-right: 0 !important;
    margin-left: 0 !important;
}
